Bug 511189 - cannot switch input methods in xchat-gnome
cannot switch input methods in xchat-gnome
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 01:29 EDT by Ralph Giles
Modified: 2009-11-23 02:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-23 02:25:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Giles 2009-07-14 01:29:11 EDT
Description of problem:

Did a new install of Fedora 11 on x86_64. Using ibus to switch the input method seems to be ignored in xchat-gnome.

Version-Release number of selected component (if applicable):

xchat-gnome-0.26.1-3.fc11.x86_64
im-chooser-1.2.6-3.fc11.x86_64
ibus-m17n-1.1.0.20090211-5.fc11.x86_64
ibus-libs-1.1.0.20090612-1.fc11.x86_64
ibus-gtk-1.1.0.20090612-1.fc11.x86_64
ibus-hangul-1.1.0.20090328-2.fc11.x86_64
ibus-chewing-1.0.10.20090523-2.fc11.x86_64
ibus-pinyin-1.1.0.20090612-1.fc11.noarch
ibus-1.1.0.20090612-1.fc11.x86_64
ibus-anthy-1.1.0.20090603-1.fc11.x86_64
ibus-rawcode-1.0.0.20090303-3.fc11.x86_64

How reproducible:


Steps to Reproduce:
1. Open System->Preferences->Input Method
2. Check "Enable input method feature" using the recommended IBus method.
3. Add Anthy (Japanese) and Pinyin (Chinese) input methods
4. Restart
5. Log in again
6. Open xchat-gnome using its panel launcher icon
7. Click to focus on the input bar
8. Press ctrl-space to switch input methods
9. Type, for example, 'konnnichiha<space>'
  
Actual results:

No input method is enabled, and text comes out in latin characters. The ibus icon in the status area stays an 'i' in a blue box.

Expected results:

The default input method should be enabled in step 8, resulting in Japanese text. '今日は' in the example given. The ibus icon in the status area should change to the yellow, three-point crown logo of the anthy input method.

Additional info:

Switching in general works; I can enter Japanese text in gnome-terminal, firefox and (vanilla, non-gnome) xchat.

Also, when run from the command line as 'GTK_IM_MODULE=ibus xchat-gnome' input switching works as expected.
Comment 1 Ralph Giles 2009-07-14 01:33:04 EDT
FWIW, strace shows no attempt to open im-ibus.so or the corresponding socket without GTK_IM_MODULE=ibus explicitly set in the environment.
Comment 2 ritz 2009-11-20 02:02:56 EST
Please4 escalate to upstream, and block bz#602311 .
Comment 3 Ralph Giles 2009-11-20 11:35:56 EST
FWIW, this fixed itself a month or two ago, after an update. Yesterday I yum-upgraded to fedora 12, which also has no problem with input mode switching.

I can no longer reproduce, and this is no longer an issue for me.

Note You need to log in before you can comment on or make changes to this bug.